> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询去字幕 / 去水印

> 轮询去字幕 / 去水印任务状态与结果。

**路径：** `GET https://api.omniall.ai/v1/video/generations/{task_id}`

亦支持 `GET /v1/videos/{task_id}`。成功后取 `result_url` / `video_url` 并尽快转存。




## OpenAPI

````yaml zh-CN/openapi/video-desub.yaml GET /v1/video/generations/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — 去字幕 / 去水印
  version: 1.0.0
  description: >
    OmniAll 去字幕 / 去水印（擦除硬字幕或固定角标 / 台标）。


    **创建：** `POST https://api.omniall.ai/v1/video/generations`（亦可 `POST
    /v1/videos`）


    **查询：** `GET /v1/video/generations/{task_id}`


    模型：`omniall-desub-1`。


    用法：不传 `videoName` = 自动去字幕；传 `videoName` 为 `x1_y1_x2_y2` = 框选去字幕或去水印。


    鉴权：`Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/video/generations/{task_id}:
    get:
      tags:
        - 平台
      summary: 查询去字幕 / 去水印
      description: |
        轮询去字幕 / 去水印任务状态与结果。

        **路径：** `GET https://api.omniall.ai/v1/video/generations/{task_id}`

        亦支持 `GET /v1/videos/{task_id}`。成功后取 `result_url` / `video_url` 并尽快转存。
      operationId: videoDesubGet
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxx
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API Key。
      responses:
        '200':
          description: 任务状态
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    description: 如 processing / success / failed
                  result_url:
                    type: string
                    format: uri
                  video_url:
                    type: string
                    format: uri
                  fail_reason:
                    type: string
              example:
                id: task_xxx
                status: success
                result_url: https://cdn.example.com/desub.mp4
        '404':
          description: 未找到

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.